/*
 * Copyright (c) 2024 Qualcomm Innovation Center, Inc. All rights reserved.
 * SPDX-License-Identifier: BSD-3-Clause-Clear
*/

#ifndef _HALPHY_TONE_H_
#define _HALPHY_TONE_H_

#include <stdint.h>

const uint16_t tone_lut[97] = {1024,
        1024,
        1023,
        1023,
        1022,
        1021,
        1019,
        1017,
        1015,
        1013,
        1010,
        1007,
        1004,
        1001,
        997,
        993,
        989,
        985,
        980,
        975,
        970,
        964,
        958,
        952,
        946,
        940,
        933,
        926,
        918,
        911,
        903,
        895,
        887,
        878,
        870,
        861,
        851,
        842,
        832,
        822,
        812,
        802,
        792,
        781,
        770,
        759,
        747,
        736,
        724,
        712,
        700,
        688,
        675,
        662,
        650,
        637,
        623,
        610,
        596,
        583,
        569,
        555,
        541,
        526,
        512,
        497,
        483,
        468,
        453,
        438,
        423,
        407,
        392,
        376,
        361,
        345,
        329,
        313,
        297,
        281,
        265,
        249,
        233,
        216,
        200,
        183,
        167,
        150,
        134,
        117,
        100,
        84,
        67,
        50,
        34,
        17,
        0
};

#endif /* _HALPHY_TONE_H_ */
